/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include "veneer/device.h"

#if defined(Q_OS_WIN32)
#include "veneer/qt/win/wmi.h"
#endif

#include <QList>
#include <QString>
#include <QDebug>

namespace Veneer
{
	QList<Device> listHotPluggables()
	{
#if defined(Q_OS_WIN32)
		return wmiListHotPluggables();
#else
		QList<Device> rval;
		return rval;
#endif
	}

	Device::Device(const QString& mountPoint_, const QString& icon_, const QString& vendor_, const QString& product_, const QString& devicePath_) :
		m_MountPoint(mountPoint_),
		m_Icon(icon_),
		m_Vendor(vendor_),
		m_Product(product_),
		m_DevicePath(devicePath_)
	{}

	QString Device::mountPoint() const
	{
		return m_MountPoint;
	}

	QString Device::icon() const
	{
		return m_Icon;
	}

	QString Device::vendor() const
	{
		return m_Vendor;
	}

	QString Device::product() const
	{
		return m_Product;
	}

	QString Device::devicePath() const
	{
		return m_DevicePath;
	}

}
